Subject: RE: moving on with issue 47 (routing vs. advertisement rights)

From: Soliman Hesham <[email-masked]>
Date: Wed, 14 Jan 2004 07:33:02 -0500

>   o  There is a related non-SEND issue: an ingress filtering 
 > and default
 >      router problem exists even if you do not consider SEND at all.
 >      This has to do with the relationship of ingress filtering and
 >      default router selection. If put my cable and DSL boxes on the
 >      same network at home, hosts will route my packets more or less
 >      randomly through both routers -- but since the ISPs employ
 >      ingress filtering, packets with a source prefix from the other
 >      ISP will be dropped. Therefore, hosts should send packets with a
 >      prefix P preferrably through routers that are somehow known to
 >      recognize the prefix P.
 > 
 >      Router selection draft does not appear to help here, because
 >      it only deals with destination prefixes, not source prefixes.
 >      I am not aware of any other IPv6 feature which would help
 >      either.
 > 
 >      In the long run, this means that IPv6/multi6/send/someone has
 >      to solve this, probably even for the case that SEND is not
 >      used.

=> We seem to have this discussion roughly twice a year 
in different WGs :) 
The core of the problem is that a multi-addressed host, 
has no way of knowing the backhaul connectivity of 
the default router. I think that it might have been
an oversight to not include the source address in the 
next hop determination algorithm, in addition to assuming
that routers will only advertise prefixes that they won't
ingress filter. 

In any case, this is going to affect any multihomed link,
i.e. that has more than one router connected to different
networks. Does anyone know where this should be addressed?
IPv6 WG?? It affects PANA, nemo, multi6, IPv6 ....etc

IMHO SEND is not the right place for this as we need a 
complete solution for IPv6.

Hesham

****************************************************************************
*******************************************
This email may contain confidential and privileged material for the sole use
of the intended recipient.
Any review or distribution by others is strictly prohibited.  If you are not
the intended recipient please
contact the sender and delete all copies.
****************************************************************************
*******************************************

--------------------------------------------------------------------
To unsubscribe from this list, send email with "UNSUBSCRIBE" in the
body to <[email-masked]>.
Archive: http://standards.ericsson.net/lists/ietf-send/maillist.html
--------------------------------------------------------------------

---

From: "James Kempf" <[email-masked]>
Date: Wed, 14 Jan 2004 08:22:27 -0800

> IPv6 WG?? It affects PANA, nemo, multi6, IPv6 ....etc

Not sure. IPv6 is trying to finish up, so it might not be the right place.
I'll raise the issue with the ADs and make sure it doesn't drop, then see
what they say. Perhaps even a small, focussed, short term WG, like SEND.

> complete solution for IPv6.

I agree.

            jak

---

From: Jari Arkko <[email-masked]>
Date: Wed, 14 Jan 2004 21:44:30 +0200

> what they say. Perhaps even a small, focussed, short term WG, like SEND.

I have an idea. I seem to recall that there was some effort regarding
RFC 2461 updates in IPv6 WG. In fact, I think the idea was to fix all
the bugs. Not taking ingress filtering in account qualifies as a bug,
don't you think so? If so, we have a good candidate for the person who
needs to fix this problem. Hesham, do you happen to remember who was
editing RFC 2461 bis? ;-)

--Jari